#include <stdio.h>
#include <stdlib.h>

int main()
{int N,L,H,i;
scanf("%d",&N);
scanf("%d",&L);
for(i=1;i<=N;i++)
{
scanf("%d",&H);
if (H<=L)
    {printf("%d",i);
    return 0;}
}
printf("-1\n");
return 0;
}